# SonarRunner

API Documentation: | `SonarRunner`

Note: This class is deprecated and will be removed in the next major version of Gradle.

Analyses one or more projects with the SonarQube Runner.

Can be used with or without the `"sonar-runner"` plugin. If used together with the plugin, `sonarProperties` will be populated with defaults based on Gradle's object model and user-defined values configured via `SonarRunnerExtension` and `SonarRunnerRootExtension`. If used without the plugin, all properties have to be configured manually.

For more information on how to configure the SonarQube Runner, and on which properties are available, see the SonarQube Runner documentation.

### Properties

Property | Description
`forkOptions` | Options for the analysis process. Configured via `SonarRunnerRootExtension.forkOptions()`.
`sonarProperties` | The String key/value pairs to be passed to the Sonar Runner. `null` values are not permitted.

### Methods

No methods

### Script blocks

No script blocks

### Property details

#### `JavaForkOptions` `forkOptions` (read-only)

Options for the analysis process. Configured via `SonarRunnerRootExtension.forkOptions()`.

#### ``Map`<`String`, `Object`>` `sonarProperties` (read-only)

The String key/value pairs to be passed to the Sonar Runner. `null` values are not permitted.